#ifndef __IVFEXAMVWR_H__
#define __IVFEXAMVWR_H__

#include <Ivf/IvfVwr.h>

class SoWinExaminerViewer ;

class CIvfExaminerViewer : public CIvfVwr
{
public:
	CIvfExaminerViewer() ;
	DECLARE_DYNCREATE(CIvfExaminerViewer) ;
	
	~CIvfExaminerViewer() ;

	virtual void 			CreateViewer(void *pVwrArgs);

	virtual void			DestroyViewer() ;
	virtual void			SceneGraphChanged() ;

	virtual BOOL			OnUpdateFrameTitle(CString &strTitle) ;
	virtual void			OnPaint() ;
	virtual void			OnInitialUpdate() ;
	virtual void			OnDeactivateView() ;
	virtual void			OnActivateView() ;
	virtual void			OnDestroy() ;
	virtual BOOL			OnCommand(WPARAM wParam, LPARAM lParam);
	virtual BOOL			PreTranslateMessage(MSG *pMsg) ;
	virtual SoWinComponent *GetVwrComponent() ;
	
	static void 			GetRuntimeClass(CRuntimeClass &classInfo);

protected:
	SoWinExaminerViewer *m_pViewer;
} ;


#endif
